[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.NumberOfCollisions

Number of extra items

## Declaration

Source position: contnrs.pp line 391

`public property TFPCustomHashTable.NumberOfCollisions: LongWord read GetNumberOfCollisions;`

## Description

NumberOfCollisions is the number of items which are not the first item in a chain. If this number is too big, the hash size may be too small.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.AvgChainLength
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots

The latest version of this document can be found at lazarus-ccr.sourceforge.net .